<?php
namespace Claromentis\Projects\Controller;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_060fa6133a3ca86189c7d1" . "11690787ca" => base64_decode("YWxsX" . "3Rhc2" . "tz"), "_11766073989415db2de3c" . "b758629f2f1" => base64_decode("b3Blbg=" . "="), "_23ee3a3acf136b0ea01" . "bdf2e160d70d8" => base64_decode("dXNlcl9ma" . "Wx0ZXJbXQ" . "=="), "_3ad1a241788" . "d51921db8e8d" . "a90d8e233" => base64_decode("cHJvamVjdHMudGFza3MuYWxsX3Rhc2tzLnBhZ2Vf" . "dGl0bGU="), "_221da17e3055fae8d3ff5" . "16b832a5f3b" => base64_decode("cGFnZQ=" . "="), "_010f509c58d10b" . "12c9e4bdac039c9" . "49b" => base64_decode("cHJvamVjdHMvdGF" . "za3MuaHRtbA=="), "_e2cd02b34" . "604bb4da59" . "7fe440cfe4" . "76e" => base64_decode("c2" . "Vh" . "cm" . "No"), "_ed5f03d686c3" . "7933b5943f295" . "c6b4a43" => base64_decode("anNv" . "bg=="), "_e2b890faba954638ed5fb0b916" . "074b17" => base64_decode("c3RhdHVzX2ZpbH" . "Rlcg=="), "_8a3181b19afc8e1b261" . "825a5c3caaad4" => base64_decode("dGFza19maWx0ZX" . "I="), "_7276e0a" . "f756e529" . "d30af7aa" . "afe4e778" . "4" => base64_decode("YXJ" . "jaG" . "l2Z" . "WQ="), "_e523fcec62" . "349451c998f" . "12cda4bc14f" => base64_decode("cmVjZW50bHlf" . "Y29tcGxldGU="), "_fe55f93e48d864ac4b43" . "fc2e85a1009b" => base64_decode("Zm9sb" . "G93aW" . "5n"), "_f1def1d21fe735cbe235c3ee7c3f40" . "e8" => base64_decode("bXlfd" . "GFza3" . "M="), "_e1b7238fbb" . "46439026e86" . "9e060d6ca47" => base64_decode("Zm9y" . "bWF0"));
use Claromentis\Core\Http\RequestData;
use Claromentis\Core\Localization\Lmsg;
use Claromentis\Core\TextUtil\ClaText;
use Claromentis\People\Repository\UserRepository;
use Claromentis\Core\Http\JsonPrettyResponse;
use Claromentis\Core\Http\TemplaterCallResponse;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\People\Service\UserExtranetService;
use Claromentis\People\UrlGenerator;
use Claromentis\Projects\DisplayOrder;
use Claromentis\Projects\PermissionsChecker;
use Claromentis\Projects\Repository\ProjectRepository;
use Claromentis\Projects\TaskListFilter;
use Claromentis\Projects\Repository\TaskRepository;
use Claromentis\Projects\View\TaskListView;




class TaskListController
{
    public function ShowAllTasks(RequestData $request_data, PermissionsChecker $permissions_checker, ProjectRepository $project_repository, TaskRepository $task_repository, SecurityContext $context, UserRepository $user_repository, UrlGenerator $url_generator, UserExtranetService $extranets, Lmsg $lmsg, ClaText $cla_text)
    {
        $_e2cd02b34604bb4da597fe440cfe476e = $request_data->Get($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e2cd02b34604bb4da597fe440cfe47" . "6e"], null);
        $_8a3181b19afc8e1b261825a5c3caaad4 = $request_data->Get($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_8a3181b19afc8e1b261825a5c" . "3caaad4"], null);
        $_e2b890faba954638ed5fb0b916074b17 = $request_data->Get($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_e2b890faba954638ed5" . "fb0b916074b17"], null);
        $_e1b7238fbb46439026e869e060d6ca47 = $request_data->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e1b7238f" . "bb4643902" . "6e869e060" . "d6ca47"], null);
        $_221da17e3055fae8d3ff516b832a5f3b = $request_data->Get($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_221da17e3055fae8d3ff516b832a5f3" . "b"], 1);
        $_cf4bba54dac7e0a2bbda16ef041e6ddf = $request_data->Get($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_23ee3a3acf136b0ea" . "01bdf2e160d70d8"], []);
        switch ($_8a3181b19afc8e1b261825a5c3caaad4) {
            case $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_fe55f93e48" . "d864ac4b43f" . "c2e85a1009b"]:
                $_8a3181b19afc8e1b261825a5c3caaad4 = TaskListFilter::FILTER_FOLLOWING;
                break;
            case $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_060fa6133a3ca861" . "89c7d111690787ca"]:
                $_8a3181b19afc8e1b261825a5c3caaad4 = TaskListFilter::FILTER_ALL_TASKS;
                break;
            case $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f1def1d21fe735cb" . "e235c3ee7c3f40e8"]:
            default:
                $_8a3181b19afc8e1b261825a5c3caaad4 = TaskListFilter::FILTER_MY_TASKS;
                break;
        }
        switch ($_e2b890faba954638ed5fb0b916074b17) {
            case $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e523fcec62349451c998f" . "12cda4bc14f"]:
                $_e2b890faba954638ed5fb0b916074b17 = TaskListFilter::FILTER_RECENTLY_COMPLETE;
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7276e0af756e529d30a" . "f7aaafe4e7784"]:
                $_e2b890faba954638ed5fb0b916074b17 = TaskListFilter::FILTER_ARCHIVED;
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_117660739" . "89415db2de" . "3cb758629f" . "2f1"]:
            default:
                $_e2b890faba954638ed5fb0b916074b17 = TaskListFilter::FILTER_OPEN;
                break;
        }
        $_6daeec015ee6c52ced92781b59ff89b5 = new TaskListFilter();
        if ($_8a3181b19afc8e1b261825a5c3caaad4 !== null) {
            $_6daeec015ee6c52ced92781b59ff89b5->SetTaskFilter($_8a3181b19afc8e1b261825a5c3caaad4);
            $_6daeec015ee6c52ced92781b59ff89b5->SetStatusFilter($_e2b890faba954638ed5fb0b916074b17);
        }
        $_6daeec015ee6c52ced92781b59ff89b5->SetUsersFilter($_cf4bba54dac7e0a2bbda16ef041e6ddf);
        $_6daeec015ee6c52ced92781b59ff89b5->SetSearch($_e2cd02b34604bb4da597fe440cfe476e);
        $_6daeec015ee6c52ced92781b59ff89b5->SetLimit(TaskListView::TASKS_PER_PAGE);
        $_6daeec015ee6c52ced92781b59ff89b5->SetOffset(($_221da17e3055fae8d3ff516b832a5f3b - 1) * TaskListView::TASKS_PER_PAGE);
        $_b1303d0f07feee61ff8309d770fe04ca = $permissions_checker->DoIHaveFullAccess();
        if ($_b1303d0f07feee61ff8309d770fe04ca) {
            $_6daeec015ee6c52ced92781b59ff89b5->SetIsAdmin(true);
        } else {
            $_6daeec015ee6c52ced92781b59ff89b5->SetProjectIds($project_repository->GetMyProjects());
        }
        $_5a41aa961f592408a9a61999dd5e8716 = $task_repository->GetTasks($_6daeec015ee6c52ced92781b59ff89b5, $context, DisplayOrder::TYPE_MY_TASKS);
        $_74c47fccaadd7a9eb1895d296395ee66 = $task_repository->GetTaskCount($_6daeec015ee6c52ced92781b59ff89b5, $context);
        $view = new TaskListView($task_repository, $project_repository, $permissions_checker, $user_repository, $url_generator, $extranets, $lmsg, $context, $cla_text);
        if ($_e1b7238fbb46439026e869e060d6ca47 === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_ed5f03d686c379" . "33b5943f295c6b4" . "a43"]) {
            return new JsonPrettyResponse($view->GetTaskListJsonView($_6daeec015ee6c52ced92781b59ff89b5, $_5a41aa961f592408a9a61999dd5e8716, $_74c47fccaadd7a9eb1895d296395ee66, $context));
        }
        $_bbcdf77b6167a26a35212c8181097030 = array();
        $view->SetArgsArray($_bbcdf77b6167a26a35212c8181097030);
        $view->ShowTaskList($_6daeec015ee6c52ced92781b59ff89b5, $_5a41aa961f592408a9a61999dd5e8716, $_74c47fccaadd7a9eb1895d296395ee66, $context);
        $_678d945258a520c3df1c42fe4b558f34 = $lmsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_3ad1a241788d51921db8e8da90d" . "8e233"]);
        $_a0624a55e60ee7aae11f61e56eea7c0c = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_010f509c58d10b12c9e4b" . "dac039c949b"];
        return new TemplaterCallResponse($_a0624a55e60ee7aae11f61e56eea7c0c, $_bbcdf77b6167a26a35212c8181097030, $_678d945258a520c3df1c42fe4b558f34);
    }
}